# GET /v1/me/works

自分がステータスを設定している作品の情報を取得することができます。

## フィールド

[GET /v1/works](/docs/ja/api/v1/works.md) のフィールドに加えて、下記のフィールドが存在します。

| 名前          | 概要       |
| ----------- | -------- |
| status.kind | ステータスの種類 |

## パラメータ

| 名前                    | 概要                                                                                | 使用例                        |
| --------------------- | --------------------------------------------------------------------------------- | -------------------------- |
| fields                | レスポンスボディに含まれるデータのフィールドを絞り込みます。                                                    | fields=id,title            |
| filter\_ids           | 作品を作品IDで絞り込みます。                                                                   | filter\_ids=1,2,3          |
| filter\_season        | 作品をリリース時期で絞り込みます。`2016-all` としたときは、2016年にリリースされる作品全てを取得することができます。                 | filter\_season=2016-spring |
| filter\_title         | 作品をタイトルで絞り込みます。                                                                   | filter\_title=shirobako    |
| filter\_status        | 作品をステータスで絞り込みます。`wanna_watch, watching, watched, on_hold, stop_watching` が指定できます。 | filter\_status=watching    |
| page                  | ページ数を指定します。                                                                       | page=2                     |
| per\_page             | 1ページに何件取得するかを指定します。デフォルトは `25` 件で、`50` 件まで指定できます。                                 | per\_page=30               |
| sort\_id              | 作品を作品IDで並び替えます。`asc` または `desc` が指定できます。                                          | sort\_id=desc              |
| sort\_season          | 作品をリリース時期で並び替えます。`asc` または `desc` が指定できます。                                        | sort\_season=desc          |
| sort\_watchers\_count | 作品をWatchersの数で並び替えます。`asc` または `desc` が指定できます。                                    | sort\_watchers\_count=desc |

## リクエスト例

```
$ curl -X GET https://api.annict.com/v1/me/works?access_token=(access_token)
```

```javascript
{
  "works": [
    {
      "id": 4681,
      "title": "ふらいんぐうぃっち",
      "title_kana": "ふらいんぐうぃっち",
      "media": "tv",
      "media_text": "TV",
      "season_name": "2016-spring",
      "season_name_text": "2016年春",
      "released_on": "",
      "released_on_about": "",
      "official_site_url": "http://www.flyingwitch.jp/",
      "wikipedia_url": "https://ja.wikipedia.org/wiki/%E3%81%B5%E3%82%89%E3%81%84%E3%82%93%E3%81%90%E3%81%86%E3%81%83%E3%81%A3%E3%81%A1",
      "twitter_username": "flying_tv",
      "twitter_hashtag": "flyingwitch",
      "episodes_count": 5,
      "watchers_count": 695,
      "status": {
        "kind": "watching"
      }
    }
  ],
...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annict.com/docs/ja/api/v1/me-works.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
